## foomatic-gui 0.6.7

=== Makefile ===
clean:
	rm -f foomatic/*.py[co] foomatic/__*.py[co] foomatic/*~ *~ *.bak
	rm -f build-stamp configure-stamp
	rm -rf build dist

debclean:
	-fakeroot debian/rules clean
	rm -rf debian

=== debian/changelog ===
foomatic-gui (0.6.7) unstable; urgency=medium

  * Add GNOME/KDE desktop menu entry.
  * Ensure the correct destination is selected in the TreeView when
    reconfiguring an existing queue.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 23 Jun 2004 18:54:20 -0500

foomatic-gui (0.6.6) unstable; urgency=low

  * Disable Options button and menu entry for non-Foomatic queues.
  * Include any existing manual queue destination in the choice list when
    reconfiguring an existing queue; this approach should be more
    intuitive.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 16 Jun 2004 02:12:16 -0500

foomatic-gui (0.6.5.1) unstable; urgency=medium

  * Fix redirections after mkarg() calls.

 -- Chris Lawrence <lawrencc@debian.org>  Tue,  4 May 2004 22:12:16 -0500

foomatic-gui (0.6.5) unstable; urgency=low

  * Change menu entry to call gksu and add gksu dependency.
  * Add nc and nmap to dependencies.  (Closes: #233706, #223935)
  * Suppress standard error from foomatic-configure output.
    (Closes: #232957, #233704, #246241)
  * FutureWarnings on install seem to be gone.  (Closes: #211948)

 -- Chris Lawrence <lawrencc@debian.org>  Tue,  4 May 2004 13:26:14 -0500

foomatic-gui (0.6.4) unstable; urgency=low

  * Better behavior of the Comments HTML widget.
  * See if any drivers are available for a particular printer before
    permitting you to go on in the druid.
  * Remove the PageRegion setting from the printer options dialog.
  * Switch from the ipv4 module to the IPy module; the latter appears to
    be more complete and better maintained.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 14 Oct 2003 22:51:49 -0500

foomatic-gui (0.6.3) unstable; urgency=low

  * The add/configure printer druid now includes the Comments from the
    LinuxPrinting.org database.
  * Suppress the FutureWarnings due to the ipv4 module.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 19 Sep 2003 21:54:39 -0500

foomatic-gui (0.6.2) unstable; urgency=low

  * Remove gnome.ui.gnome_window_icon_set_default_from_file() call, which
    seems to have disappeared in recent PyGNOME.  (Closes: #209298)

 -- Chris Lawrence <lawrencc@debian.org>  Mon,  8 Sep 2003 20:52:35 -0500

foomatic-gui (0.6.1) unstable; urgency=low

  * A few minor bugfixes (mostly dealing with CUPS idiosyncrasies).
  * Python 2.2->2.3 transition.  (Closes: #205018)
  
 -- Chris Lawrence <lawrencc@debian.org>  Tue, 12 Aug 2003 14:23:16 -0400

foomatic-gui (0.6) unstable; urgency=low

  * GUI redesigned somewhat; now somewhat more reminiscent of the Mac OS X
    printer manager (and more like other GNOME 2 applications).
  * You can now set up a printer queue from a vendor-provided PPD file.

 -- Chris Lawrence <lawrencc@debian.org>  Thu,  3 Jul 2003 01:21:46 -0500

foomatic-gui (0.5.4) unstable; urgency=low

  * Mostly (all?) bugfixes this time...
  * Read all of the foomatic-configure output before trying to parse it;
    this avoids some weirdness with some XML parsers, apparently.
    (Closes: #199372)
  * Don't try to scan multicast IPs when doing network printer detection.
    (Closes: #199503)
  * Use a regex to handle converting the quoting of strings output by
    foomatic-configure -P from Perl syntax to Python.
  * Better options handling for PPDs without groups or hidden attributes.

 -- Chris Lawrence <lawrencc@debian.org>  Tue,  1 Jul 2003 12:54:44 -0500

foomatic-gui (0.5.3) unstable; urgency=low

  * New release: network printer detection added.
  * Fix failure to start up when no queues configured.  (Closes: #194837)
  * Use of triple quotes should fix options bug.  (Closes: #194049)
  * Since #194049 was filed by the submitter of #193031, it is probably
    fixed (as anticipated in 0.5.2).  (Closes: #193031)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 27 May 2003 15:33:15 -0500

foomatic-gui (0.5.2) unstable; urgency=low

  * New upstream release.
    + Use os.popen() instead of commands.getoutput() when parsing XML
      output of foomatic-configure; this may avoid intermittent XML
      parsing bugs that some have experienced.  (See e.g. #193031)
      This should also be more memory-efficient (avoiding using StringIO).
    + Printer options setting now uses the translated group name to label
      option groups.
    + The Change Printer menu option was accidentally broken in 0.5.1-1.
    + Use enumerate() for loops where we need the index (emulated in
      pure Python under 2.2.x).
  * Convert to being a native package, since the Debian packaging is also
    maintained upstream.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 19 May 2003 00:52:14 -0500

foomatic-gui (0.5.1-1) unstable; urgency=low

  * New upstream release.
    + Improved test page.
    + You can now set default printer options.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 10 May 2003 22:30:47 -0500

foomatic-gui (0.5-1) unstable; urgency=low

  * New upstream release.
    + Now includes a test page.
    + We now use the LinuxPrinting.org icon in the program.

 -- Chris Lawrence <lawrencc@debian.org>  Fri,  9 May 2003 13:24:09 -0500

foomatic-gui (0.4.1-2) unstable; urgency=low

  * Fix startup if a queue doesn't have a description.  (Closes: #192199)
    (Note that the reopened #192199 was not the same bug as the original
     #192199.)

 -- Chris Lawrence <lawrencc@debian.org>  Fri,  9 May 2003 07:13:37 -0500

foomatic-gui (0.4.1-1) unstable; urgency=low

  * New upstream release.
    + Fix startup if no queues defined.  (Closes: #192199)

 -- Chris Lawrence <lawrencc@debian.org>  Thu,  8 May 2003 11:00:21 -0500

foomatic-gui (0.4-2) unstable; urgency=low

  * Re-enable the parallel autodetection code accidentally disabled in
    0.4-1.

 -- Chris Lawrence <lawrencc@debian.org>  Thu,  8 May 2003 09:55:26 -0500

foomatic-gui (0.4-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Tue,  6 May 2003 12:00:02 -0500

foomatic-gui (0.3-1) unstable; urgency=low

  * Initial Release.  (Closes: #172669)



=== debian/control ===
Source: foomatic-gui
Section: gnome
Priority: optional
Maintainer: Chris Lawrence <lawrencc@debian.org>
Build-Depends-Indep: debhelper (>> 4.0.0), python-dev (>> 2.3)
Standards-Version: 3.6.1

Package: foomatic-gui
Architecture: all
Depends: python (>> 2.3), python (<< 2.4), foomatic-db-engine, python-gnome2, python-glade2, netcat, pconf-detect, nmap, smbclient, gksu
Description: GNOME interface for configuring the Foomatic printer filter system
 Foomatic is a printing system designed to make it easier to set up
 common printers for use with Debian (and other operating systems).
 It provides the "glue" between a print spooler (like CUPS or lpr) and
 your actual printer, by telling your computer how to process files
 sent to the printer.
 .
 This package includes a GNOME-based graphical user interface to simplify
 configuring printers that use Foomatic.
 .
 Project Home: http://savannah.nongnu.org/projects/foomatic-gui/
 Development weblog: http://blog.lordsutch.com/?topic=13

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	./setup.py build
	#/usr/bin/docbook-to-man debian/foomatic-gui.sgml > foomatic-gui.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	#rm -rf build

	# Add here commands to clean up after the build process.
	rm -f `find -name '*.py[co]' -o -name '*~'`
	./setup.py clean -a
	make clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/foomatic-gui.
	./setup.py install --prefix=$(CURDIR)/debian/foomatic-gui/usr --no-compile


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs #ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman foomatic-gui.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## foomatic-gui 0.7.4.2ubuntu1

=== Makefile ===
# $Id: Makefile,v 1.10 2004/07/04 12:11:05 lordsutch Exp $

clean:
	rm -f foomatic/*.py[co] foomatic/__*.py[co] foomatic/*~ *~ *.bak
	rm -f build-stamp configure-stamp
	rm -rf build dist

debclean:
	-fakeroot debian/rules clean
	rm -rf debian

LANGS = en_US es pt pt_BR ru

foomatic-gui.pot: foomatic-gui foomatic-gui.glade
	xgettext foomatic-gui.glade -o foomatic-gui.pot --msgid-bugs-address=foomatic-gui@packages.debian.org
	xgettext -j -L python foomatic-gui -o foomatic-gui.pot --msgid-bugs-address=foomatic-gui@packages.debian.org
	@(for l in $(LANGS); do msgmerge -U $$l.po foomatic-gui.pot; done)

translate:
	@(for l in $(LANGS); do mkdir -p i18n/$$l/LC_MESSAGES; msgfmt -f --statistics -o i18n/$$l/LC_MESSAGES/foomatic-gui.mo $$l.po; done)

=== debian/changelog ===
foomatic-gui (0.7.4.2ubuntu1) hoary; urgency=low

  * Python transition
    - debian/rules: use dh_python
    - debian/control: ${python:Depends}, proper versions

 -- Daniel Holbach <dh@mailempfang.de>  Sun, 27 Feb 2005 11:09:06 +0100

foomatic-gui (0.7.4.2) unstable; urgency=low

  * Add French Debconf translation.  (Closes: #279124)
  * Fix crash with some USB IEEE 1284 detection strings.

 -- Chris Lawrence <lawrencc@debian.org>  Thu,  4 Nov 2004 01:03:41 -0600

foomatic-gui (0.7.4.1) unstable; urgency=medium

  * (GUI) Fix buglet when a PPD file download fails.
  * (GUI) Make sure the right "recommended" driver is selected when the
    gimp-print driver is available according to the XML.  (gimp-print
    drivers are ignored in favor of using gimp-print-ijs drivers.)
  * Fix weirdness when empty arguments are supplied to
    foomatic.setup_queue().
  * Ensure <usb> sections in the Foomatic database are treated as
    autodetect information in the FoomaticOverviewHandler parser.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 27 Oct 2004 01:07:32 -0500

foomatic-gui (0.7.4) unstable; urgency=low

  * Let's try unstable again...
  * Use gtk.ComboBox() instead of gtk.OptionMenu() for queue options;
    this means we now require PyGtk 2.4+ in foomatic-gui.
  * Allow download of manufacturer PPD files for printers in foomatic-gui
    as a "driver" for printers with PPD entries in the database.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 25 Oct 2004 10:59:16 -0500

foomatic-gui (0.7.3.3) experimental; urgency=low

  * Call db_stop in postinst to avoid hang when cupsys is possibly
    restarted.  (Closes: #278083)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 24 Oct 2004 14:21:35 -0500

foomatic-gui (0.7.3.2) experimental; urgency=low

  * Go back to uploading to experimental since (for whatever reason) the
    override file isn't updated for unstable yet.
  * Bail out if running 'printconf' as non-root and -n isn't specified.
    (Closes: #277714)
  * Get rid of the 'run printconf as root' message, since it made a user
    feel like an idiot.  (Closes: #277164)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 22 Oct 2004 06:36:58 -0500

foomatic-gui (0.7.3.1) unstable; urgency=low

  * Output detection data from printconf as XML rather than as a Python
    dict, and only include the information we use in the foomatic
    database.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 16 Oct 2004 13:12:04 -0500

foomatic-gui (0.7.3) unstable; urgency=low

  * Upload to unstable to shake out some more bugs.
  * Adds support for autodetection based on model and manufacturer strings
    from database, in addition to description strings.  This works in both
    foomatic-gui and printconf.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 13 Oct 2004 04:33:12 -0500

foomatic-gui (0.7.2.5) experimental; urgency=low

  * First upload to Debian since package split.
  * Include Brazilian Portuguese translations, from André Luís Lopes.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 17 Sep 2004 20:02:17 -0500

foomatic-gui (0.7.2.4) unstable; urgency=low

  * Include Russian translation of printconf.templates.

 -- Chris Lawrence <lawrencc@debian.org>  Tue,  6 Jul 2004 06:10:27 -0500

foomatic-gui (0.7.2.3) unstable; urgency=low

  * Fix line endings on .desktop file (which stopped Foomatic-GUI from
    showing up in the menu).

 -- Chris Lawrence <lawrencc@debian.org>  Mon,  5 Jul 2004 16:03:17 -0500

foomatic-gui (0.7.2.2) unstable; urgency=low

  * Add Russian translations from Dan Korostelev.
  
 -- Chris Lawrence <lawrencc@debian.org>  Sun,  4 Jul 2004 06:50:41 -0500

foomatic-gui (0.7.2.1) unstable; urgency=low

  * Default spellings now in British English; American English is
    translated (rather than doing a billion identical British English
    translations for the word "color").
  * Updated Spanish translation from José L. Redrejo of LinEx.

 -- Chris Lawrence <lawrencc@debian.org>  Sat,  3 Jul 2004 05:00:47 -0500

foomatic-gui (0.7.2) unstable; urgency=low

  * Add various British English translations.
  * Fix minor problem in foomatic-gui introduced in 0.7.1.

 -- Chris Lawrence <lawrencc@debian.org>  Fri,  2 Jul 2004 20:11:58 -0500

foomatic-gui (0.7.1) unstable; urgency=low

  * Integrate changes from José L. Redrejo of LinEx (relative to 0.6.5):
    + Spanish and Portugese translations.
    + Fix bugs in translation code and Samba browsing.
  * The normalized model names are now in a separate dict used only for
    ad-hoc detection.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 26 Jun 2004 19:12:29 -0500

foomatic-gui (0.7) unstable; urgency=low

  * Split into three packages:
    + foomatic-gui, containing the GNOME interface.
    + printconf, the autodetection front end suitable for running from its
      own postinst.
    + python-foomatic, the backend glue code that talks to Foomatic.
  * Suppress stupid FutureWarnings in detect.py.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 23 Jun 2004 20:17:53 -0500

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	make translate
	./setup.py build
	#/usr/bin/docbook-to-man debian/foomatic-gui.sgml > foomatic-gui.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	#rm -rf build

	# Add here commands to clean up after the build process.
	rm -f `find -name '*.py[co]' -o -name '*~'`
	./setup.py clean -a
	chmod +x printconf
	make clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_python
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	./setup.py install --prefix=$(CURDIR)/debian/tmp/usr --no-compile


# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -i #ChangeLog
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i --sourcedir $(CURDIR)/debian/tmp
	dh_installmenu -i
	dh_installdebconf -i	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman -p foomatic-gui foomatic-gui.1
	dh_installman -p printconf printconf.1
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
#	dh_perl
	dh_python -i
#	dh_makeshlibs
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## foomatic-gui 0.7.4.14

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.10 2004/07/04 12:11:05 lordsutch Exp $
+# $Id: Makefile,v 1.11 2005/02/01 05:34:27 lordsutch Exp $
 
 clean:
 	rm -f foomatic/*.py[co] foomatic/__*.py[co] foomatic/*~ *~ *.bak
@@ -9,7 +9,7 @@
 	-fakeroot debian/rules clean
 	rm -rf debian
 
-LANGS = en_US es pt pt_BR ru
+LANGS = en_US es pt pt_BR ru fr
 
 foomatic-gui.pot: foomatic-gui foomatic-gui.glade
 	xgettext foomatic-gui.glade -o foomatic-gui.pot --msgid-bugs-address=foomatic-gui@packages.debian.org

=== debian/changelog ===
foomatic-gui (0.7.4.14) unstable; urgency=high

  * Give up on trying to symlink the stuff for $(OTHERPYTHON) in place
    since clearly I can't figure out how to do it.  Copy it instead.
    (Closes: #305520, RC)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 12 May 2005 19:15:31 -0500

foomatic-gui (0.7.4.13) unstable; urgency=high

  * Force use of ipv4 address from XML output of nmap.  This makes
    network printer detection work again.
  * Ensure pdbinfo is initialized, even if a printer lacks an IEEE1284
    Description field; import sys.  (Closes: #308549, severity important)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 10 May 2005 18:00:57 -0500

foomatic-gui (0.7.4.12) unstable; urgency=low

  * Work around inability to indentify the spooler if no print queues are
    installed.  (Closes: #306812)

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  1 May 2005 20:24:24 -0500

foomatic-gui (0.7.4.11) unstable; urgency=low

  * Correct dependencies to require python2.3-gnome-extras if using
    python2.3-gnome >= 2.10.0 (from experimental).
  * Add Japanese translation of debconf template.  (Closes: #307002)

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 30 Apr 2005 00:32:10 -0500

foomatic-gui (0.7.4.10) unstable; urgency=low

  * Hopefully fix FTBFS.  (Closes: #305032)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 18 Apr 2005 00:03:31 -0500

foomatic-gui (0.7.4.9) unstable; urgency=low

  * Touch printers.conf, not printer.conf.  (Closes: #304769)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 15 Apr 2005 22:42:20 -0500

foomatic-gui (0.7.4.8) unstable; urgency=low

  * Build-depend on python AND python2.3.  (Closes: #298267)

 -- Chris Lawrence <lawrencc@debian.org>  Mon,  7 Mar 2005 23:08:17 -0600

foomatic-gui (0.7.4.7) unstable; urgency=low

  * Use python2.3 in all calls to setup.py.  (Closes: #298267)

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  6 Mar 2005 04:20:42 -0600

foomatic-gui (0.7.4.6) unstable; urgency=low

  * Explicitly call setup.py with python2.3. (Closes: #298135)

 -- Chris Lawrence <lawrencc@debian.org>  Fri,  4 Mar 2005 17:14:09 -0600

foomatic-gui (0.7.4.5) unstable; urgency=low

  * Solve various Ubuntu issues:
    * Allow installation with Python 2.4.
    * Depend on python2.3-gnome2 | python2.4-gnome2-extras to account for 
      GtkHTML spinoff in newer versions of PyGNOME.  (Closes: #295222)
  * Work around broken upgrade behavior in python-gtk that sometimes leaves
    pygtk alternative busted.  (Closes: #296952)

 -- Chris Lawrence <lawrencc@debian.org>  Thu,  3 Mar 2005 22:40:49 -0600

foomatic-gui (0.7.4.4) unstable; urgency=medium

  * Bump priority slightly to migrate to sarge since the typo in printconf
    is a showstopper for release.
  * Add French translation of foomatic-gui.  (Closes: #292882)
  * Add blurb for linuxprinting.org to end of printconf output.
  * Document need to have bidirectional support (EPP mode) enabled in the
    BIOS for autodetection of parallel printers to work in man page.
  * Disable the queue manipulation buttons if the user is not root.
  * Fix typo in printconf that caused a trackback for printers not in
    the database.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 14 Feb 2005 21:58:08 -0600

foomatic-gui (0.7.4.3) unstable; urgency=low

  * Fall back to use the manufacturer and model if a printer description
    exists but is not found in the database.
  * More informative error messages when not able to read printer database.
    (Closes: #272906)
  * Work around USB ioctl failures on some architectures.  (Closes: #249113)
  * Include .png suffix in desktop icon.  (Closes: #264779)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 21 Jan 2005 18:55:45 -0600

=== debian/control ===
Source: foomatic-gui
Section: gnome
Priority: optional
Maintainer: Chris Lawrence <lawrencc@debian.org>
Build-Depends-Indep: debhelper (>> 4.0.0), python-dev, python2.3-dev, po-debconf
Standards-Version: 3.6.1

Package: foomatic-gui
Architecture: all
Depends: python (>> 2.3), python (<< 2.5), python-foomatic, python-gtk2 (>> 2.4), python-gnome2, python-glade2, gksu, python2.3-gnome2 | python2.4-gnome2-extras
Recommends: netcat, pconf-detect, nmap, smbclient
Description: GNOME interface for configuring the Foomatic printer filter system
 Foomatic is a printing system designed to make it easier to set up
 common printers for use with Debian (and other operating systems).
 It provides the "glue" between a print spooler (like CUPS or lpr) and
 your actual printer, by telling your computer how to process files
 sent to the printer.
 .
 This package includes a GNOME-based graphical user interface to simplify
 configuring printers that use Foomatic.
 .
 netcat, pconf-detect, nmap, and smbclient are recommended if you need
 to also manage remote printers.
 .
 Project Home: http://savannah.nongnu.org/projects/foomatic-gui/
 .
 Development weblog: http://blog.lordsutch.com/?topic=13

Package: printconf
Architecture: all
Section: utils
Depends: python (>> 2.3), python (<< 2.5), python-foomatic, foomatic-db, foomatic-db-hpijs, foomatic-db-gimp-print, cupsys, cupsys-client, gs-esp | gs, ${misc:Depends}
Suggests: foomatic-gui, foo2zjs, pnm2ppa
Description: automatically configures USB and parallel printers with CUPS
 Foomatic is a printing system designed to make it easier to set up
 common printers for use with Debian (and other operating systems).
 It provides the "glue" between a print spooler (like CUPS) and
 your actual printer, by telling your computer how to process files
 sent to the printer.
 .
 This package detects printers attached to the parallel or USB ports
 of your computer, and automatically establishes printer queues using
 Foomatic for those printers.  These queues can be managed using the
 CUPS web interface at http://localhost:631/ or by using the
 Foomatic-GUI tool.
 .
 Some low-end inkjet and laser printers that use proprietary languages
 (sometimes erroneously called "WinPrinters" or "GDI printers") will
 require either the foo2zjs or pnm2ppa package to work.
 .
 Project Home: http://savannah.nongnu.org/projects/foomatic-gui/
 .
 Development weblog: http://blog.lordsutch.com/?topic=13

Package: python-foomatic
Section: python
Architecture: all
Depends: python (>> 2.3), python (<< 2.5), foomatic-db-engine
Conflicts: foomatic-gui (<< 0.7)
Replaces: foomatic-gui (<< 0.7)
Description: Python interface to the Foomatic printer database
 Foomatic is a printing system designed to make it easier to set up
 common printers for use with Debian (and other operating systems).
 It provides the "glue" between a print spooler (like CUPS or lpr) and
 your actual printer, by telling your computer how to process files
 sent to the printer.
 .
 This package includes a Python interface to the Foomatic command-line
 utilities.

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,14 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+PYTHON = python
+THISPYTHON = $(shell readlink /usr/bin/python)
+ifeq ($(THISPYTHON),python2.3)
+	OTHERPYTHON = python2.4
+else
+	OTHERPYTHON = python2.3
+endif
 
 CFLAGS = -Wall -g
 
@@ -31,7 +39,7 @@
 
 	# Add here commands to compile the package.
 	make translate
-	./setup.py build
+	$(PYTHON) setup.py build
 	#/usr/bin/docbook-to-man debian/foomatic-gui.sgml > foomatic-gui.1
 
 	touch build-stamp
@@ -44,7 +52,7 @@
 
 	# Add here commands to clean up after the build process.
 	rm -f `find -name '*.py[co]' -o -name '*~'`
-	./setup.py clean -a
+	$(PYTHON) setup.py clean -a
 	chmod +x printconf
 	make clean
 
@@ -54,12 +62,10 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k
-	dh_python
 	dh_installdirs
 
 	# Add here commands to install the package into debian/tmp
-	./setup.py install --prefix=$(CURDIR)/debian/tmp/usr --no-compile
-
+	$(PYTHON) setup.py install --prefix=$(CURDIR)/debian/tmp/usr --no-compile
 
 # Build architecture-dependent files here.
 binary-arch: build install
@@ -72,7 +78,8 @@
 	dh_installchangelogs -i #ChangeLog
 	dh_installdocs -i
 	dh_installexamples -i
-	dh_install -i --sourcedir $(CURDIR)/debian/tmp
+	dh_install --list-missing -i --sourcedir $(CURDIR)/debian/tmp
+	cp $(CURDIR)/debian/python-foomatic/usr/lib/$(THISPYTHON)/site-packages/foomatic/*.py $(CURDIR)/debian/python-foomatic/usr/lib/$(OTHERPYTHON)/site-packages/foomatic/
 	dh_installmenu -i
 	dh_installdebconf -i	
 #	dh_installlogrotate

## foomatic-gui 0.7.4.15ubuntu1

=== debian/changelog ===
foomatic-gui (0.7.4.15ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Stephan Hermann <sh@sourcecode.de>  Wed, 20 Jul 2005 22:36:44 +0200

foomatic-gui (0.7.4.15) unstable; urgency=low

  * Depend on python-gnome2-extras, since it's now migrated into sid.
    This also cleans up the dependencies somewhat, since -extras is now in
    both Debian and Ubuntu.  (Closes: #314520)
  * Add Czech and Vietnamese translations.  (Closes: #309021, #314181)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 16 Jun 2005 16:34:20 -0500

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: gnome
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
-Build-Depends-Indep: debhelper (>> 4.0.0), python-dev, python2.3-dev, po-debconf
+Build-Depends-Indep: debhelper (>= 4.2.28), python-dev (>= 2.4), po-debconf
 Standards-Version: 3.6.1
 
 Package: foomatic-gui
 Architecture: all
-Depends: python (>> 2.3), python (<< 2.5), python-foomatic, python-gtk2 (>> 2.4), python-gnome2, python-glade2, gksu, python2.3-gnome2 | python2.4-gnome2-extras
+Depends: ${python:Depends} ${shlibs:Depends} ${misc:Depends}, python-foomatic, python-gtk2 (>> 2.4), python-gnome2, python-glade2, gksu
 Recommends: netcat, pconf-detect, nmap, smbclient
 Description: GNOME interface for configuring the Foomatic printer filter system
  Foomatic is a printing system designed to make it easier to set up
@@ -29,9 +29,9 @@
 Package: printconf
 Architecture: all
 Section: utils
-Depends: python (>> 2.3), python (<< 2.5), python-foomatic, foomatic-db, foomatic-db-hpijs, foomatic-db-gimp-print, cupsys, cupsys-client, gs-esp | gs, ${misc:Depends}
+Depends:  ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-foomatic, foomatic-db, foomatic-db-hpijs, foomatic-db-gimp-print, cupsys, cupsys-client, gs-esp | gs
 Suggests: foomatic-gui, foo2zjs, pnm2ppa
-Description: automatically configures USB and parallel printers with CUPS
+Description: Automatically configures USB and parallel printers with CUPS
  Foomatic is a printing system designed to make it easier to set up
  common printers for use with Debian (and other operating systems).
  It provides the "glue" between a print spooler (like CUPS) and
@@ -55,7 +55,7 @@
 Package: python-foomatic
 Section: python
 Architecture: all
-Depends: python (>> 2.3), python (<< 2.5), foomatic-db-engine
+Depends:  ${python:Depends} ${shlibs:Depends} ${misc:Depends}, foomatic-db-engine
 Conflicts: foomatic-gui (<< 0.7)
 Replaces: foomatic-gui (<< 0.7)
 Description: Python interface to the Foomatic printer database

=== debian/rules ===
--- 
+++ 
@@ -62,6 +62,7 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k
+	dh_python
 	dh_installdirs
 
 	# Add here commands to install the package into debian/tmp

## foomatic-gui 0.7.4.18

=== debian/changelog ===
foomatic-gui (0.7.4.18) unstable; urgency=low

  * Only update the printer info box when the printer selected changes.
    (Closes: #327275)
  * Update French translation.  (Closes: #325382)
  * Fix test for missing queues.  (Closes: #324182)

 -- Chris Lawrence <lawrencc@debian.org>  Thu,  8 Sep 2005 18:57:44 -0400

foomatic-gui (0.7.4.17) unstable; urgency=low

  * USB autodetection now works (hopefully) on 64-bit architectures, by
    coercing the ioctl number to a signed quantity.  (See #249113)
  * Use python-ipy package instead of shipping IPy.py.
  * Redesign the default options window to use tabs, since Gutenprint has
    lots of options.
  * Require >= {$Source-Version} for python-foomatic, to ensure things are
    kept in sync.  (Closes: #319612)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 10 Aug 2005 12:11:59 -0500

foomatic-gui (0.7.4.16) unstable; urgency=low

  * printconf now depends on foomatic-db-gutenprint | foomatic-db-gimp-print.
  
 -- Chris Lawrence <lawrencc@debian.org>  Wed, 20 Jul 2005 03:00:15 -0500

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: gnome
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
-Build-Depends-Indep: debhelper (>= 4.2.28), python-dev (>= 2.4), po-debconf
-Standards-Version: 3.6.1
+Build-Depends-Indep: debhelper (>> 4), python-dev, python2.3-dev, po-debconf
+Standards-Version: 3.6.2
 
 Package: foomatic-gui
 Architecture: all
-Depends: ${python:Depends} ${shlibs:Depends} ${misc:Depends}, python-foomatic, python-gtk2 (>> 2.4), python-gnome2, python-glade2, gksu
+Depends: python (>> 2.3), python (<< 2.5), python-foomatic (>= ${Source-Version}), python-gtk2 (>> 2.6), python-gnome2, python-glade2, gksu, python-gnome2-extras
 Recommends: netcat, pconf-detect, nmap, smbclient
 Description: GNOME interface for configuring the Foomatic printer filter system
  Foomatic is a printing system designed to make it easier to set up
@@ -29,9 +29,9 @@
 Package: printconf
 Architecture: all
 Section: utils
-Depends:  ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-foomatic, foomatic-db, foomatic-db-hpijs, foomatic-db-gimp-print, cupsys, cupsys-client, gs-esp | gs
+Depends: python (>> 2.3), python (<< 2.5), python-foomatic (>= ${Source-Version}), foomatic-db, foomatic-db-hpijs, foomatic-db-gutenprint | foomatic-db-gimp-print, cupsys, cupsys-client, gs-esp | gs, ${misc:Depends}
 Suggests: foomatic-gui, foo2zjs, pnm2ppa
-Description: Automatically configures USB and parallel printers with CUPS
+Description: automatically configures USB and parallel printers with CUPS
  Foomatic is a printing system designed to make it easier to set up
  common printers for use with Debian (and other operating systems).
  It provides the "glue" between a print spooler (like CUPS) and
@@ -55,7 +55,7 @@
 Package: python-foomatic
 Section: python
 Architecture: all
-Depends:  ${python:Depends} ${shlibs:Depends} ${misc:Depends}, foomatic-db-engine
+Depends: python (>> 2.3), python (<< 2.5), foomatic-db-engine, python-ipy
 Conflicts: foomatic-gui (<< 0.7)
 Replaces: foomatic-gui (<< 0.7)
 Description: Python interface to the Foomatic printer database

## foomatic-gui 0.7.6

=== debian/changelog ===
foomatic-gui (0.7.6) unstable; urgency=low

  * Handle Python policy transition.  (Closes: #373429)
  * Transition python-support -> python-central.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 21 Jun 2006 03:03:43 -0400

foomatic-gui (0.7.5) unstable; urgency=low

  * Transition to using python-support.
  * Add Swedish translation of foomatic-gui.  (Closes: #348212)
  * Add Dutch translation of debconf prompts.  (Closes: #365419)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 30 May 2006 20:25:42 -0400

## foomatic-gui 0.7.7

=== debian/changelog ===
foomatic-gui (0.7.7) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues
  * Debconf translation:
    - German. Closes: #397870
    - Danish. Closes: #400787
    - Spanish. Closes: #402237
    - Galician. Closes: #405392
    - Portuguese. Closes: #408178

 -- Christian Perrier <bubulle@debian.org>  Thu,  1 Feb 2007 21:28:40 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,15 @@
 Section: gnome
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
-Build-Depends-Indep: debhelper (>> 4), python-dev, python2.3-dev, po-debconf
-Standards-Version: 3.6.2
+Build-Depends: debhelper (>= 5.0.37.2)
+Build-Depends-Indep: python-all-dev (>= 2.3.5-10), po-debconf, python-central (>= 0.4.17)
+Standards-Version: 3.7.2
+XS-Python-Version: all
 
 Package: foomatic-gui
 Architecture: all
-Depends: python (>> 2.3), python (<< 2.5), python-foomatic (>= ${Source-Version}), python-gtk2 (>> 2.6), python-gnome2, python-glade2, gksu, python-gnome2-extras
+Depends: ${python:Depends}, python-foomatic (>= ${Source-Version}), python-gtk2 (>> 2.6), python-gnome2, python-glade2, gksu, python-gnome2-extras
+XB-Python-Version: ${python:Versions}
 Recommends: netcat, pconf-detect, nmap, smbclient
 Description: GNOME interface for configuring the Foomatic printer filter system
  Foomatic is a printing system designed to make it easier to set up
@@ -29,8 +32,9 @@
 Package: printconf
 Architecture: all
 Section: utils
-Depends: python (>> 2.3), python (<< 2.5), python-foomatic (>= ${Source-Version}), foomatic-db, foomatic-db-hpijs, foomatic-db-gutenprint | foomatic-db-gimp-print, cupsys, cupsys-client, gs-esp | gs, ${misc:Depends}
+Depends: ${python:Depends}, python-foomatic (>= ${Source-Version}), foomatic-db, foomatic-db-hpijs, foomatic-db-gutenprint | foomatic-db-gimp-print, cupsys, cupsys-client, gs-esp | gs, ${misc:Depends}
 Suggests: foomatic-gui, foo2zjs, pnm2ppa
+XB-Python-Version: ${python:Versions}
 Description: automatically configures USB and parallel printers with CUPS
  Foomatic is a printing system designed to make it easier to set up
  common printers for use with Debian (and other operating systems).
@@ -55,9 +59,10 @@
 Package: python-foomatic
 Section: python
 Architecture: all
-Depends: python (>> 2.3), python (<< 2.5), foomatic-db-engine, python-ipy
+Depends: ${python:Depends}, foomatic-db-engine, python-ipy
 Conflicts: foomatic-gui (<< 0.7)
 Replaces: foomatic-gui (<< 0.7)
+XB-Python-Version: ${python:Versions}
 Description: Python interface to the Foomatic printer database
  Foomatic is a printing system designed to make it easier to set up
  common printers for use with Debian (and other operating systems).

## foomatic-gui 0.7.7ubuntu1

=== debian/changelog ===
foomatic-gui (0.7.7ubuntu1) hardy; urgency=low

  *Drop foomatic-db-gimp-print dependency (LP: #182683)
  *Update Maintainer field as per spec

 -- steve <steve@ubuntu>  Sun, 13 Jan 2008 21:09:53 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: foomatic-gui
 Section: gnome
 Priority: optional
-Maintainer: Chris Lawrence <lawrencc@debian.org>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Chris Lawrence <lawrencc@debian.org>
 Build-Depends: debhelper (>= 5.0.37.2)
 Build-Depends-Indep: python-all-dev (>= 2.3.5-10), po-debconf, python-central (>= 0.4.17)
 Standards-Version: 3.7.2
@@ -32,7 +33,7 @@
 Package: printconf
 Architecture: all
 Section: utils
-Depends: ${python:Depends}, python-foomatic (>= ${Source-Version}), foomatic-db, foomatic-db-hpijs, foomatic-db-gutenprint | foomatic-db-gimp-print, cupsys, cupsys-client, gs-esp | gs, ${misc:Depends}
+Depends: ${python:Depends}, python-foomatic (>= ${Source-Version}), foomatic-db, foomatic-db-hpijs, foomatic-db-gutenprint, cupsys, cupsys-client, gs-esp | gs, ${misc:Depends}
 Suggests: foomatic-gui, foo2zjs, pnm2ppa
 XB-Python-Version: ${python:Versions}
 Description: automatically configures USB and parallel printers with CUPS

=== debian/rules ===
--- 
+++ 
@@ -5,14 +5,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-PYTHON = python
-THISPYTHON = $(shell readlink /usr/bin/python)
-ifeq ($(THISPYTHON),python2.3)
-	OTHERPYTHON = python2.4
-else
-	OTHERPYTHON = python2.3
-endif
-
+PYVERS = $(shell pyversions -r debian/control)
 CFLAGS = -Wall -g
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
@@ -39,7 +32,8 @@
 
 	# Add here commands to compile the package.
 	make translate
-	$(PYTHON) setup.py build
+	(set -e; for v in $(PYVERS); do $$v setup.py build; done)
+	python2.4 setup.py build_scripts --executable=/usr/bin/python --force
 	#/usr/bin/docbook-to-man debian/foomatic-gui.sgml > foomatic-gui.1
 
 	touch build-stamp
@@ -52,7 +46,7 @@
 
 	# Add here commands to clean up after the build process.
 	rm -f `find -name '*.py[co]' -o -name '*~'`
-	$(PYTHON) setup.py clean -a
+	(for v in $(PYVERS); do $$v setup.py clean -a; done)
 	chmod +x printconf
 	make clean
 
@@ -62,11 +56,11 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k
-	dh_python
 	dh_installdirs
 
 	# Add here commands to install the package into debian/tmp
-	$(PYTHON) setup.py install --prefix=$(CURDIR)/debian/tmp/usr --no-compile
+	(set -e; for v in $(PYVERS); do $$v setup.py install --prefix=$(CURDIR)/debian/tmp/usr --no-compile; done)
+	python2.4 setup.py install_scripts --force --install-dir=$(CURDIR)/debian/tmp/usr/bin
 
 # Build architecture-dependent files here.
 binary-arch: build install
@@ -80,7 +74,6 @@
 	dh_installdocs -i
 	dh_installexamples -i
 	dh_install --list-missing -i --sourcedir $(CURDIR)/debian/tmp
-	cp $(CURDIR)/debian/python-foomatic/usr/lib/$(THISPYTHON)/site-packages/foomatic/*.py $(CURDIR)/debian/python-foomatic/usr/lib/$(OTHERPYTHON)/site-packages/foomatic/
 	dh_installmenu -i
 	dh_installdebconf -i	
 #	dh_installlogrotate
@@ -97,6 +90,7 @@
 	dh_compress -i
 	dh_fixperms -i
 #	dh_perl
+	dh_pycentral -i -p python-foomatic
 	dh_python -i
 #	dh_makeshlibs
 	dh_installdeb -i

## foomatic-gui 0.7.8ubuntu1

=== debian/changelog ===
foomatic-gui (0.7.8ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Dependencies on the new package names "cups" and "ghostscript"
    - Use "cups" as name for the startup script of CUPS
  * debian/control: Add alternative dependencies on the new package
    names "cups" and "ghostscript".
  * foomatic-gui, printconf: Use "cups" as name for the startup script of CUPS

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 19 Jun 2008 12:47:37 +0200

foomatic-gui (0.7.8) unstable; urgency=low

  * Incorporate 0.7.7 NMUs.
  * Fix assignment to autodetect in foomatic/foomatic.py.  (Closes: #472784)
  * Update pt translation.  (Closes: #475444)
  * Improved support for PPD files in printconf and foomatic-gui.
  * Resolve new-style PPD fields in foomatic-db.  (Closes: #419810)
  * Remove gimp-print optional dependency from printconf.  (Closes: #459758)
  * Force umask to 0755 before calling foomatic-configure when it may
    write files.  (Closes: #419414)
  * Kill bad characters from queue names.  (Closes: #401456)

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 31 May 2008 18:20:26 -0500

foomatic-gui (0.7.7-0.2) unstable; urgency=low

  * Non-maintainer upload to fix forgotten l10n issues..:-)
  * Debconf translation updates:
    - Japanese. Closes: #413530
    - Swedish. Closes: #426977

 -- Christian Perrier <bubulle@debian.org>  Thu, 13 Mar 2008 18:47:17 +0100

foomatic-gui (0.7.7-0.1) unstable; urgency=low

  * Non-maintainer upload to fix longstanding l10n issues.
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #426084
  * Debconf translation updates:
    - Italian. Closes: #426153
    - Galician. Closes: #426760
    - Danish. Closes: #426784
    - Basque. Closes: #426932
    - Arabic. Closes: #427112
    - Vietnamese. Closes: #427143
    - Russian. Closes: #428576
    - Czech. Closes: #428596
    - German. Closes: #428686
    - Brazilian Portuguese. Closes: #428687
  * Finnish. Closes: #446733
  * [Lintian] Use "Applications/System/Administration" for the menu entry
    instead of the deprecated "Apps/Tools"
  * [Lintian] Use "su-to-root" as su application in the menu entry and
    .desktop entry
  * [Lintian] Replace ${Source-Version} by ${source:Version} in dependencies
  * [Lintian] Move Build-Depends-Indep to Build-Depends for packages used
    in the clean target

 -- Christian Perrier <bubulle@debian.org>  Fri, 15 Feb 2008 06:12:58 +0100

=== debian/control ===
Source: foomatic-gui
Section: gnome
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Chris Lawrence <lawrencc@debian.org>
Build-Depends: debhelper (>= 5.0.37.2), python-all-dev (>= 2.3.5-10), po-debconf, python-central (>= 0.4.17)
Standards-Version: 3.7.3
XS-Python-Version: all
Homepage: http://savannah.nongnu.org/projects/foomatic-gui/

Package: foomatic-gui
Architecture: all
Depends: ${python:Depends}, python-foomatic (>= ${source:Version}), python-gtk2 (>> 2.6), python-gnome2, python-glade2, gksu, python-gtkhtml2 | python-gnome2-extras (<< 2.19.1)
XB-Python-Version: ${python:Versions}
Recommends: netcat, pconf-detect, nmap, smbclient
Description: GNOME interface for configuring the Foomatic printer filter system
 Foomatic is a printing system designed to make it easier to set up
 common printers for use with Debian (and other operating systems).
 It provides the 'glue' between a print spooler (like CUPS or lpr) and
 the printer, by providing information about how to process files
 sent to the printer.
 .
 This package includes a GNOME-based graphical user interface to simplify
 configuring printers that use Foomatic.
 .
 netcat, pconf-detect, nmap, and smbclient are recommended if you need
 to also manage remote printers.

Package: printconf
Architecture: all
Section: utils
Depends: ${python:Depends}, python-foomatic (>= ${source:Version}), foomatic-db, foomatic-db-hpijs, foomatic-db-gutenprint, openprinting-ppds, cups, cups-client, ghostscript | gs-esp | gs, ${misc:Depends}
Suggests: foomatic-gui, foo2zjs, pnm2ppa
XB-Python-Version: ${python:Versions}
Description: automatically configures USB and parallel printers with CUPS
 Foomatic is a printing system designed to make it easier to set up
 common printers for use with Debian (and other operating systems).
 It provides the 'glue' between a print spooler (like CUPS or lpr) and
 the printer, by providing information about how to process files
 sent to the printer.
 .
 This package detects printers attached to the parallel or USB ports
 of the computer, and automatically establishes printer queues using
 Foomatic for those printers. These queues can be managed using the
 CUPS web interface at http://localhost:631/ or by using the
 Foomatic-GUI tool.
 .
 Some low-end inkjet and laser printers that use proprietary languages
 (so-called "WinPrinters" or "GDI printers") will
 require either the foo2zjs or pnm2ppa package to work.

Package: python-foomatic
Section: python
Architecture: all
Depends: ${python:Depends}, foomatic-db-engine, python-ipy
Conflicts: foomatic-gui (<< 0.7)
Replaces: foomatic-gui (<< 0.7)
XB-Python-Version: ${python:Versions}
Description: Python interface to the Foomatic printer database
 Foomatic is a printing system designed to make it easier to set up
 common printers for use with Debian (and other operating systems).
 It provides the 'glue' between a print spooler (like CUPS or lpr) and
 the printer, by providing information about how to process files
 sent to the printer.
 .
 This package includes a Python interface to the Foomatic command-line
 utilities.

## foomatic-gui 0.7.9.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.11 2005/02/01 05:34:27 lordsutch Exp $
+# $Id: Makefile,v 1.12 2006/05/31 00:45:09 lordsutch Exp $
 
 clean:
 	rm -f foomatic/*.py[co] foomatic/__*.py[co] foomatic/*~ *~ *.bak
@@ -9,7 +9,7 @@
 	-fakeroot debian/rules clean
 	rm -rf debian
 
-LANGS = en_US es pt pt_BR ru fr
+LANGS = en_US es pt pt_BR ru fr sv
 
 foomatic-gui.pot: foomatic-gui foomatic-gui.glade
 	xgettext foomatic-gui.glade -o foomatic-gui.pot --msgid-bugs-address=foomatic-gui@packages.debian.org

=== debian/changelog ===
foomatic-gui (0.7.9.1) unstable; urgency=low

  * find . -name 'CVS' -exec rm -rf \{\} \;

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 05 Oct 2008 20:59:46 -0500

foomatic-gui (0.7.9) unstable; urgency=medium

  * Fix cupsys -> cups breakage.  (Closes: #489044)
  * Also fixup gs -> ghostscript transition.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 03 Oct 2008 06:12:43 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: foomatic-gui
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Chris Lawrence <lawrencc@debian.org>
+Maintainer: Chris Lawrence <lawrencc@debian.org>
 Build-Depends: debhelper (>= 5.0.37.2), python-all-dev (>= 2.3.5-10), po-debconf, python-central (>= 0.4.17)
 Standards-Version: 3.7.3
 XS-Python-Version: all
@@ -29,7 +28,7 @@
 Package: printconf
 Architecture: all
 Section: utils
-Depends: ${python:Depends}, python-foomatic (>= ${source:Version}), foomatic-db, foomatic-db-hpijs, foomatic-db-gutenprint, openprinting-ppds, cups, cups-client, ghostscript | gs-esp | gs, ${misc:Depends}
+Depends: ${python:Depends}, python-foomatic (>= ${source:Version}), foomatic-db, foomatic-db-hpijs, foomatic-db-gutenprint, openprinting-ppds, cups, cups-client, ghostscript, ${misc:Depends}
 Suggests: foomatic-gui, foo2zjs, pnm2ppa
 XB-Python-Version: ${python:Versions}
 Description: automatically configures USB and parallel printers with CUPS

## foomatic-gui 0.7.9.2

=== debian/changelog ===
foomatic-gui (0.7.9.2) unstable; urgency=low

  * Update nl translation.  (Closes: #501626)
  * Remove python-gnome2-extras dependency.  (Closes: #485304)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 16 Oct 2008 18:12:10 -0500

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
 Build-Depends: debhelper (>= 5.0.37.2), python-all-dev (>= 2.3.5-10), po-debconf, python-central (>= 0.4.17)
-Standards-Version: 3.7.3
+Standards-Version: 3.8.0
 XS-Python-Version: all
 Homepage: http://savannah.nongnu.org/projects/foomatic-gui/
 
 Package: foomatic-gui
 Architecture: all
-Depends: ${python:Depends}, python-foomatic (>= ${source:Version}), python-gtk2 (>> 2.6), python-gnome2, python-glade2, gksu, python-gtkhtml2 | python-gnome2-extras (<< 2.19.1)
+Depends: ${python:Depends}, python-foomatic (>= ${source:Version}), python-gtk2 (>> 2.6), python-gnome2, python-glade2, gksu, python-gtkhtml2
 XB-Python-Version: ${python:Versions}
 Recommends: netcat, pconf-detect, nmap, smbclient
 Description: GNOME interface for configuring the Foomatic printer filter system
